Failed "ERR_EMPTY_RESPONSE" after upgrading to 5.7 from 5.2

(9 posts) (2 voices)
  • Started 2 weeks ago by chadwickhung
  • Latest reply from myDBR Team

Tags:

No tags yet.

  1. chadwickhung, Member

    Please help urgently, my reporting server is completely down down.
    The error message is "ERR_EMPTY_RESPONSE"
    Thanks.

    Posted 2 weeks ago #
  2. chadwickhung, Member

    my php version is 5.4.45
    I'm using premium version for years, it was working fine before upgrading to mydbr 5.7

    Please help.

    Posted 2 weeks ago #
  3. chadwickhung, Member

    If I try in safari, it said server dropped connection
    If I try in Chrome, it said "ERR_EMPTY_RESPONSE"

    Please help.
    Thanks

    Posted 2 weeks ago #
  4. myDBR Team, Key Master

    Hi,
    The problem is in the server side, so check the web server error log what is causing the error.

    --
    myDBR Team

    Posted 2 weeks ago #
  5. chadwickhung, Member

    I can see 2 errors

    [warn-ioncube] Can't deserialise zval type 254 (pid 16184)

    [notice] child pid 16184 exit signal Segmentation fault (11)

    Posted 2 weeks ago #
  6. chadwickhung, Member

    Please help. Is the zval issue due to some version conflict of php or ioncube or mysql?

    Thanks

    Posted 2 weeks ago #
  7. myDBR Team, Key Master

    This seems to be an ionCube compiler error in PHP 5.4.

    We've now compiled the application with older compiler version which does not have this error.

    You can get the new version by downloading the PHP 5.4 version and replacing the myDBR installation with the downloaded version. Do keep the existing mydbr_config.php and the user-directory. See instructions for manual update from the documentation.

    Note that we will be dropping support for PHP versions 5.3 - 5.5 later this year once the PHP 7.4 support comes along. For now you can update to the PHP 5.4 version, but suggest that you update to PHP 7.x soon after that.

    --
    myDBR Team

    Posted 2 weeks ago #
  8. chadwickhung, Member

    Thanks. It works now after using your version of myDBR.
    Would I encounter the same issue when I auto update next time?

    Thanks

    Posted 2 weeks ago #
  9. myDBR Team, Key Master

    The automatic updater will work in the future.

    What you should do though, is to update your PHP to newer version. PHP 7.3 is the recommended version for now.

    --
    myDBR Team

    Posted 2 weeks ago #

Reply

You must log in to post.